package fi.lpam.gui.virheDialogit;

import fi.lpam.Main;
import javafx.scene.control.Alert;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

import java.util.Objects;


abstract class TietokantaVirhe extends Alert {
    public TietokantaVirhe() {
        super(AlertType.ERROR);
        this.setTitle("Tietokanta");
        ImageView sql = new ImageView(new Image(Objects.requireNonNull(Main.class.getResourceAsStream("tietokanta.png"))));
        sql.setPreserveRatio(true);
        sql.setFitHeight(100);
        this.setGraphic(sql);
    }
}
